package com.sf.reflectiontest;

import javax.swing.plaf.ComponentInputMapUIResource;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;

public class Test {

    @org.junit.Test
    public void t1(){
        //     有一个字符串，其中包含中文字符、英文字符和数字字符，请统计和打印出各个字符的字数。

        String content = "VIP33考试题考试SIXSIXSIX";
        HashMap<Character,Integer> map = new HashMap<>();
        while (content.length()>0){
            Character c = content.charAt(0);
            content = content.substring(1);
            Integer count = map.get(c);
            if(count == null){
                map.put(c,1);
            }else {
                map.put(c,count+1);
            }
        }

        /**
         * V=1
         * I=6
         * P=1
         * 考=2
         */

        for (Map.Entry<Character, Integer> entry : map.entrySet()) {
            System.out.println(entry);
        }


    }
}
